Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 612768 - Review Request: holland - Pluggable Backup Framework
Review Request: holland - Pluggable Backup Framework
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Carl Thompson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-08 20:34 EDT by BJ Dierkes
Modified: 2014-10-22 05:53 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-19 16:17:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description BJ Dierkes 2010-07-08 20:34:19 EDT
Spec URL: http://5dollarwhitebox.org/tmp/holland.spec
SRPM URL: http://5dollarwhitebox.org/tmp/holland-1.0.2-2.fc12.src.rpm

Description:

A pluggable backup framework which focuses on, but is not limited to, highly
configurable database backups.
Comment 1 BJ Dierkes 2010-07-08 21:03:42 EDT
Please note the following:

All conf files are intentionally set to 640 as they may contain passwords and/or other sensitive information, therefore causing a lot of rpmlint errors.


Also the following rpmlint comes up which I would like to ignore:

holland.noarch: W: non-conffile-in-etc /etc/holland/providers/README
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.
Comment 2 Carl Thompson 2010-10-13 16:42:16 EDT
I recommend all documentation be in the appropriate document directory and use a symlink if you want it referenced inside /etc somewhere.

The non-readable files I would consider exempt due to their nature.

The non-readable example files should probably just be made readable with documentation to set appropriate permissions when you create a real configuration file that contains sensitive information.

Move the examples to appropriate doc directory also.  Symlink from etc if you feel it is warranted to have that information in etc.

Try these modifications and lets see what rpmlint responds.
Comment 3 BJ Dierkes 2010-10-26 17:23:41 EDT
Updated with the suggestions:

SPEC: http://5dollarwhitebox.org/tmp/holland.spec
SRPM: http://5dollarwhitebox.org/tmp/holland-1.0.4-1.fc13.src.rpm

[wdierkes@derks-linux buildroot]$ rpmlint -i SPECS/holland.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

[wdierkes@derks-linux buildroot]$ rpmlint -i SRPMS/holland-1.0.4-1.fc13.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[wdierkes@derks-linux buildroot]$ rpmlint -i /var/lib/mock/fedora-13-x86_64/result/holland-*noarch*
holland.noarch: I: enchant-dictionary-not-found en_US
A dictionary for the Enchant spell checking library is not available for the
language given in the info message.  Spell checking will proceed with
rpmlint's built-in implementation for localized tags in this language. For
better spell checking results in this language, install the appropriate
dictionary that Enchant will use for this language, often for example
hunspell-* or aspell-*.

holland.noarch: E: non-readable /etc/holland/holland.conf 0640L
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

holland-example.noarch: E: non-readable /etc/holland/providers/example.conf 0640L
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

holland-mysqldump.noarch: E: non-readable /etc/holland/providers/mysqldump.conf 0640L
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

holland-mysqllvm.noarch: E: non-readable /etc/holland/providers/mysql-lvm.conf 0640L
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

holland-random.noarch: E: non-readable /etc/holland/providers/random.conf 0640L
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

6 packages and 0 specfiles checked; 5 errors, 0 warnings.
Comment 4 Michael Rice 2010-11-01 11:15:57 EDT
BJ,
This looks much better this time but I am curious as to why you are still putting one of the example conf files into etc instead of into the docs?

holland-example.noarch: E: non-readable /etc/holland/providers/example.conf
0640L
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

Since it is an example file wouldn't it be better placed in the docs?
Comment 5 BJ Dierkes 2010-11-01 11:45:50 EDT
The 'holland-example' package provides the 'holland-example' provider, who's config file is /etc/holland/providers/example.conf.  This is a bit confusing based on previous points in this thread... but basically, the example provider actually provides example functionality when installed and is more for developers looking for an example on how to create a holland plugin, than it is for the user.

So, what we were discussing previously was the 'examples' directory in /etc/holland which provided 'hypothetical' configs you could use.  Where as the example provider is actually a provider just like -mysqldump and others.

I'll discuss this with upstream as I think we could safely remove that sub package.
Comment 6 BJ Dierkes 2010-11-02 23:52:52 EDT
Updated, and removed example plugin (per discussion with other upstream devs):

SPEC: http://5dollarwhitebox.org/tmp/holland.spec
SRPM: http://5dollarwhitebox.org/tmp/holland-1.0.4-2.fc13.src.rpm

RPMLINT (ignore warnings as per above comments):

[wdierkes@derks-linux buildroot]$ rpmlint  -i SPECS/holland.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

[wdierkes@derks-linux buildroot]$ rpmlint  -i /var/lib/mock/fedora-13-x86_64/result/*.rpm
holland.noarch: E: non-readable /etc/holland/holland.conf 0640L
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

holland-mysqldump.noarch: E: non-readable /etc/holland/providers/mysqldump.conf 0640L
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

holland-mysqllvm.noarch: E: non-readable /etc/holland/providers/mysql-lvm.conf 0640L
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

holland-random.noarch: E: non-readable /etc/holland/providers/random.conf 0640L
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

6 packages and 0 specfiles checked; 4 errors, 0 warnings.
Comment 7 Carl Thompson 2010-11-03 19:48:09 EDT
rpmlint holland-1.0.4-2.el5.noarch.rpm
holland.noarch: W: spelling-error Summary(en_US) Pluggable -> Plug gable, Plug-gable, Plugged
holland.noarch: W: spelling-error %description -l en_US pluggable -> plug gable, plug-gable, plugged
holland.noarch: E: non-readable /etc/holland/holland.conf 0640L

rpmlint holland-common-1.0.4-2.el5.noarch.rpm
holland-common.noarch: W: spelling-error %description -l en_US plugins -> plug ins, plug-ins, plugging
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

rpmlint holland-mysqldump-1.0.4-2.el5.noarch.rpm
holland-mysqldump.noarch: W: spelling-error Summary(en_US) plugin -> plug in, plug-in, plugging
holland-mysqldump.noarch: W: spelling-error %description -l en_US plugin -> plug in, plug-in, plugging
holland-mysqldump.noarch: E: non-readable /etc/holland/providers/mysqldump.conf 0640L
1 packages and 0 specfiles checked; 1 errors, 2 warnings.

rpmlint holland-mysqllvm-1.0.4-2.el5.noarch.rpm
holland-mysqllvm.noarch: E: non-readable /etc/holland/providers/mysql-lvm.conf 0640L
1 packages and 0 specfiles checked; 1 errors, 0 warnings.

rpmlint holland-random-1.0.4-2.el5.noarch.rpm
holland-random.noarch: E: non-readable /etc/holland/providers/random.conf 0640L
1 packages and 0 specfiles checked; 1 errors, 0 warnings.

Everything is looking good since the files need to be 640 as a security precaution.
Comment 8 BJ Dierkes 2010-11-03 20:09:46 EDT
New Package SCM Request
=======================
Package Name: holland
Short Description:  Pluggable Backup Framework
Owners: derks
Branches: el4 el5 el6 f13 f14
InitialCC:
Comment 9 Jason Tibbitts 2010-11-05 13:19:05 EDT
Git done (by process-git-requests).
Comment 10 BJ Dierkes 2011-01-19 16:17:25 EST
This was already pushed to Fedora/EPEL stable, though forgot to link the bug to bodhi.  Closing.
Comment 11 bharper 2014-10-21 18:27:33 EDT
Package Change Request
======================
Package Name: holland
New Branches: epel7 
Owners: bharper
InitialCC:

I need to work on getting this package into epel7.
Comment 12 Gwyn Ciesla 2014-10-22 05:53:17 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.